SimpleSaxErrorHandler (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.util.xml

## Class SimpleSaxErrorHandler

- java.lang.Object
- - org.springframework.util.xml.SimpleSaxErrorHandler

- All Implemented Interfaces:
    ErrorHandler

      public class SimpleSaxErrorHandler
      extends Object
      implements ErrorHandler

  Simple `org.xml.sax.ErrorHandler` implementation: logs warnings using the given Commons Logging logger instance, and rethrows errors to discontinue the XML transformation.
  Since:
    1.2
  Author:
    Juergen Hoeller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleSaxErrorHandler(Log logger)` Create a new SimpleSaxErrorHandler for the given Commons Logging logger instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `error(SAXParseException ex)`
    `void` | `fatalError(SAXParseException ex)`
    `void` | `warning(SAXParseException ex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleSaxErrorHandler

          public SimpleSaxErrorHandler(Log logger)

      Create a new SimpleSaxErrorHandler for the given Commons Logging logger instance.

  - ### Method Detail

    - #### warning

          public void warning(SAXParseException ex)
                       throws SAXException

      Specified by:
        `warning` in interface `ErrorHandler`
      Throws:
        `SAXException`

    - #### error

          public void error(SAXParseException ex)
                     throws SAXException

      Specified by:
        `error` in interface `ErrorHandler`
      Throws:
        `SAXException`

    - #### fatalError

          public void fatalError(SAXParseException ex)
                          throws SAXException

      Specified by:
        `fatalError` in interface `ErrorHandler`
      Throws:
        `SAXException`